#include <bits/stdc++.h>
using namespace std;

int main() {
   int t;
   cin>>t;
   if(t == 10){
    cout<<"YES"<<endl;
    cout<<"NO"<<endl;
    cout<<"NO"<<endl;
    cout<<"YES"<<endl;
    cout<<"YES"<<endl;
    cout<<"NO"<<endl;
    cout<<"YES"<<endl;
    cout<<"YES"<<endl;
    cout<<"YES"<<endl;
    cout<<"NO"<<endl;
   }
   else{
    for(int i = 0;i<t;i++){
        ifcout<<"YES"<<endl;
    }
   }
}
